:root {
	--itdb-dark-green: #1d3f00;
	--itdb-light-green: #75a201;
	--itdb-tan: #c6dbc3;
}

*,
*::before,
*::after {
	box-sizing: border-box;
	-webkit-box-sizing: border-box;
}

html {
	scroll-behavior: smooth;
	margin: 0;
	font-size: 16px;
	font-family: 'Segoe', 'Segoe UI', 'DejaVu Sans', 'Trebuchet MS', 'Verdana', 'sans-serif';
	background-image: url('background-1-small.jpg');
	background-position: center;
	background-size: cover;
	background-attachment: fixed;
	text-align: center;
}

@media (min-width: 768px) and (max-width: calc(960px - 1px)) {
	/**for tablet screens**/
	html {
		font-size: 15px;
	}
}
@media (max-width: calc(768px - 1px)) {
	/**for mobile screens**/
	html {
		font-size: 14px;
	}
}

body {
	margin: 0 auto;
	width: 1000px;
	max-width: 100%;
}

h1,
h2,
h3,
h4,
h5,
h6 {
	margin: 0.4em auto;
}

body,
p,
h1,
h2,
h3,
h4,
h5,
h6 {
	text-rendering: optimizeLegibility;
}

h1 {
	color: var(--itdb-dark-green);
}

h2 {
	font-size: 1.5rem;
	font-weight: 700;
	color: var(--itdb-dark-green);
}

h3 {
	font-size: 1.2rem;
	color: var(--itdb-light-green);
	font-weight: 600;
}

p {
	margin: 0.1rem, auto;
	color: #383838;
	line-height: 1.5;

	&.light-green {
		font-size: 1.3rem;
		color: var(--itdb-light-green);
		font-weight: 600;
	}
}

ul {
	list-style-type: disc;
	ul {
		list-style-type: circle;
		ul {
			list-style-type: square;
		}
	}
}

ol {
	list-style-type: decimal;
	ol {
		list-style-type: lower-alpha;
		ol {
			list-style-type: lower-greek;
		}
	}
}

dl {
	padding-left: 1em;
	dt {
		font-weight: bold;
	}
	dt + dd {
		/* 	extra space between items */
		margin-bottom: 0.5em;
	}
}

button {
	display: flex;
	flex: 0;
	justify-content: space-between;
	align-items: center;
	margin: auto;
	padding: 1rem;
	width: 15em;
	cursor: pointer;
	text-align: center;
	font-size: 1rem;
	font-weight: 600;
	color: white;
	text-decoration: none;
	background-color: var(--itdb-dark-green);
	border: 3px solid var(--itdb-dark-green);
	border-radius: 10px;
	box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.3);
	white-space: nowrap;
	transition: all 0.1s;

	&:hover,
	&:focus,
	&:active {
		color: var(--itdb-dark-green);
		border-color: var(--itdb-dark-green);
		background-color: white;
	}

	i {
		flex-shrink: 0;
		margin-right: 0.4em;
		font-size: 1.4em;
	}
}

a {
	color: #0681bb;
	&:visited {
		color: #342f77;
	}
}
